import type { WatchOptions, WatchSource } from "@vue/runtime-dom";
export declare function until<T>(source: WatchSource<T>, options?: until.Options<T>): Promise<void>;
export declare namespace until {
    interface Options<T> extends Omit<WatchOptions, "immediate"> {
        match?: T | ((value: T) => boolean);
        timeout?: number;
    }
}
