import type { Ref, ShallowUnwrapRef } from "@vue/runtime-dom";
export declare namespace extendRef {
    interface Options<Unwrap extends boolean = boolean> {
        enumerable?: boolean;
        unwrap?: Unwrap;
    }
}
export declare function extendRef<T extends Ref, U extends object, O extends extendRef.Options<false>>(ref: T, extend: U, options?: O): ShallowUnwrapRef<U> & T;
export declare function extendRef<T extends Ref, U extends object, O extends extendRef.Options<true>>(ref: T, extend: U, options?: O): U & T;
