import { eagerComputed } from "../utilities/eagerComputed";
import { unref } from "@vue/runtime-dom";
export function none(refs) {
    return eagerComputed(function compute() {
        for (const ref of refs) {
            if (unref(ref)) {
                return false;
            }
        }
        return true;
    });
}
