"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.none = void 0;
const eagerComputed_1 = require("../utilities/eagerComputed");
const runtime_dom_1 = require("@vue/runtime-dom");
function none(refs) {
    return (0, eagerComputed_1.eagerComputed)(function compute() {
        for (const ref of refs) {
            if ((0, runtime_dom_1.unref)(ref)) {
                return false;
            }
        }
        return true;
    });
}
exports.none = none;
