import { ref } from "@vue/runtime-dom";
export function delayedRef(amount, value, initial) {
    const handler = ref(value === undefined ? false : initial);
    const newValue = value === undefined ? true : value;
    setTimeout(function onTimeout() {
        handler.value = newValue;
    }, amount);
    return handler;
}
